X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

How do I disable the new feature that disables outdated plugins unless they are clicked?

Posted

I'm running Adobe Acrobat 8. I'm happy with it. Firefox has a new feature that automatically disables the PDF plugin unless it's clicked. It's called the "Click to Play" feature. Even when disabled, it's not really disabled: it activates itself for "vulnerable plugins." Though there is an option to make a website trusted for plugins, there is seemingly no way to make the PLUGIN ITSELF trusted. As a result, every time I get a PDF, I have to Click to Play.

Question: How do I truly disable this stupid new feature?

There is the following support article that explains this new system, and that the only solution is trust a website, but apparently can't disable the feature or trust the plugin:

http://support.mozilla.org/en-US/kb/why-do-i-have-click-activate-plugins?esab=a&s=disable+click+to+play&r=13&as=s

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.5 r502
  • NVIDIA 3D Vision plugin for Mozilla browsers
  • NVIDIA 3D Vision Streaming plugin for Mozilla browsers
  • iTunes Detector Plug-in
  • Next Generation Java Plug-in 10.9.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • 4.1.10329.0
  • Adobe PDF Plug-In For Firefox and Netscape 8.3.1
  • Adobe PDF Plug-In For Firefox and Netscape "9.4.5"
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • 6.0.12.448
  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • 1.9.0042.0
  • np-mswmp
  • Office Plugin for Netscape Navigator

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/20100101 Firefox/17.0

More Information

cor-el
  • Top 10 Contributor
  • Moderator
10754 solutions 96791 answers

You will have to uninstall the current Flash Player version if you downgrade Flash.

Note that this will remove all installed Flash players.

navydisposaleer 0 solutions 7 answers

Simple for me, I just dropped Firefox and installed Chrome

ledrizz004 0 solutions 3 answers

I am feeling the same thing. I like Firefox more than Chrome, but this is entirely annoying. I am an experienced Windows user (since 1994). I know how to protect my PC. I run NoScript, Adblock Plus, a good antivirus and antispyware. I do not need my browser to be a net nanny. The newer versions of Flash simply do not work as well as the older one I am using. They crash my browser, run slow and generally just don't work. Until this feature can be completely disabled, I will be switching over to Chrome.

philipp
  • Top 10 Contributor
  • Moderator
2046 solutions 8901 answers

hello ledrizz004, the same advice applies to you - if you're having issues with the current flash plugin you can use the 10.3 branch of the flash instead, which has received all security updates and isn't flagged as insecure: http://www.adobe.com/uk/products/flashplayer/distribution3.html

navydisposaleer 0 solutions 7 answers

Why does Firefox want to be our guardian angel? If I want to use an outdated piece of software, so be it. What sweat is off their nose? What risk is in it for Firefox? If someone who knows nothing gets in a jamb over outdated software, they can call BestBuy.

ledrizz004 0 solutions 3 answers

madperson, I appreciate the help but I'm not interested in a band aid fix for the issue. That version of Flash will be labeled as "not secure" eventually, and I will have the same problem again. I want to remove the feature entirely. Every other version of Flash I have tried since 10.1 has not worked on my PC. That's why I use it.

Again, I appreciate the advice, but it does not address the issue at hand.

kasha1 1 solutions 4 answers

All the trouble with Adobe Flash 11 is what prompted me to install iLivid from Mozella so I could see videos. On opening I get a virus detected screen and when I try to put it in the vault, it cannot be found. I'm thinking I need to ditch Mozella altogether, this is just too much trouble.

philipp
  • Top 10 Contributor
  • Moderator
2046 solutions 8901 answers

@kasha1: ilivid has a very poor reputation and seems to come bundled with adware/malware so it's probably not a good idea to install it on your system. if you're having issues with flash 11 please open a new question & provide your system details then we hopefully can sort it out.

@ledrizz004: outdated plugins are the #1 infection vector for malware on the web nowadays - the warnings are there for a reason. so i'd rather consider ignoring/suppressing the warnings as a band aid instead of addressing the underlying issue. as i've said before, when a vulnerability is found in flash 10 & it gets labelled as insecure, adobe will still provide an update for the 10.3 branch of the plugin so this concern is not valid. if you're having general problems with flash i'd recommend the same as for kasha1: it would be better to open your own question & provide your system details so that we can have a closer look on it.

ledrizz004 0 solutions 3 answers

Madperson: I tried to install that version and this is the error it gives me

https://support.cdn.mozilla.net/media/uploads/images/2013-03-28-10-50-42-71f698.png

So in other words, unless I am doing something wrong (I downloaded the EXE from the link you provided), it is not possible to install the 10.3 plugin.

In any event, 10.1 works and I see no reason to upgrade. I am an experienced user with multiple layers of protection. I'm also a computer networking major at a local technical college. I don't need a net nanny or a lecture on Internet security. I know the risks. We can go back and forth on this until we are both blue in the face but there really is no point. I just hope that Mozilla is paying attention to its users. Otherwise I cannot use Firefox anymore. Others seem to feel the same way I do. Thank you for your advice however.

philipp
  • Top 10 Contributor
  • Moderator
2046 solutions 8901 answers

you have to uninstall the version that is currently on your pc first (from te windows control panel) - afterwards the installation of flash 10.3 will work...

kasha1 1 solutions 4 answers

Thanks, that works, but it asks me to either update, or click to use every time. I don't want to update because Adobe Flash 11 doesn't work. But I can live with this!

navydisposaleer 0 solutions 7 answers

I'm gone. Using Chrome now.

contamine 0 solutions 1 answers

Exodus to Chrome indeed! CTP is just the kind of big brother practice I expect from IE or Apple, not from Firefox.

Firefox: Butt out and stop acting like some kind of nanny-state control freak. It is NOT cool and will very effectively drive me away!